Subject: bug#30326: grep not searching through a text file (thinking it binary)

From: Paul Eggert <[email-masked]>
Date: Mon, 5 Feb 2018 15:38:47 -0800

On 02/05/2018 01:27 PM, Paul Jackson wrote:
>
> I created a large file ("/tmp/pjbb")  by concatenating:
> 1) a big plain ASCII file of C source code,
> 2) a small ELF executable, and
> 3) another big plain ASCII file of C source code.
>
> Then I grep'd in this big file for the string "[email-masked] 
> <mailto:[email-masked]>", which
> appeared twice in  the first file of C source code,  and once
> again in the second file of C source code.

That example contains NULs, which have indicated binary data for ages. I 
was referring to text containing encoding errors without containing 
NULs, which is what this bug report originally was about. Sorry I didn't 
make that clear.